TSHTTPTXNCLIENTSTREAMIDGET(3ts)

NAME
TSHttpTxnClientStreamIdGet - TSHttpTxnClientStreamIdGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnClientStreamIdGet(TSHttpTxn txnp, uint64_t *stream_id)

DESCRIPTION

Retrieve the stream identification for the HTTP stream of which the provided transaction is a part. The resultant stream identifier is populated in the stream_id output parameter.

This interface currently only supports HTTP/2 streams. See RFC 7540 section 5.1.1 for details concerning HTTP/2 stream identifiers.

This API returns an error if the provided transaction is not an HTTP/2 transaction.

SEE ALSO

TSHttpTxnClientStreamPriorityGet

COPYRIGHT
2026, dev@trafficserver.apache.org